# $Id: postgis.spec 5755 2007-08-19 03:48:05Z dag $
# Authority: dag

Summary: Geographic Information Systems Extensions to PostgreSQL
Name: postgis
Version: 1.2.1
Release: 1.%{releasetagsuffix}
License: GPL
Group: Applications/Databases
URL: http://postgis.refractions.net/

Source: http://postgis.refractions.net/download/postgis-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
Patch0: postgis-1.2.1-template_gis_make.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Buildrequires: bison
#BuildRequires: docbook-utils
#BuildRequires: docbook-utils-pdf
BuildRequires: flex
BuildRequires: geos-devel >= 2.1.1
#BuildRequires: libxslt
BuildRequires: perl
BuildRequires: postgresql-devel
BuildRequires: proj-devel
#Buildrequires: xmltex

%description
PostGIS adds support for geographic objects to the PostgreSQL object-relational
database. In effect, PostGIS "spatially enables" the PostgreSQL server,
allowing it to be used as a backend spatial database for geographic information
systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
follows the OpenGIS "Simple Features Specification for SQL" and will be
submitted for conformance testing at version 1.0.

%package utils
Summary: PostGIS utilities
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: perl(DBD::Pg)

%description utils
The postgis-utils package provides the utilities for PostGIS.

%prep
%setup
%patch0 -p1 -b .buildfix

%build
%{__make} %{?_smp_mflags} \
    PGXS="1" \
    PGSQL_SRC="/usr/lib/pgsql/pgxs" \
    shlib="postgis.so"
#    LPATH="\$\(pkglibdir\)" \
#    CFLAGS="%{optflags} -Wno-pointer-sign"

%{__make} -C utils

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" \
    PGXS="1" \
    PGSQL_SRC="/usr/lib/pgsql/pgxs"

%{__install} -Dp -m0755 lwgeom/liblwgeom.so %{buildroot}%{_libdir}/pgsql/liblwgeom.so
%{__install} -Dp -m0755 lwgeom/postgis.so %{buildroot}%{_libdir}/pgsql/postgis.so

%{__install} -d -m0755 %{buildroot}%{_datadir}/pgsql/postgresql/contrib/
%{__install} -Dp -m0644 *.sql %{buildroot}%{_datadir}/pgsql/postgresql/contrib/

%{__install} -d -m0755 %{buildroot}%{_datadir}/postgis/
%{__install} -p -m0755 utils/*.pl %{buildroot}%{_datadir}/postgis/

### Clean up buildroot
%{__rm} -f %{buildroot}%{_datadir}/*.sql

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING CREDITS README.postgis TODO doc/html/ loader/README.* *.sql doc/postgis.xml  doc/ZMSgeoms.txt 
%doc %{_mandir}/man1/createdb.postgis.1*
%doc %{_mandir}/man1/mktemplate_gis.1*
%doc %{_mandir}/man1/rmtemplate_gis.1*
%config(noreplace) %{_sysconfdir}/default/postgis
%{_bindir}/createdb.postgis
%{_bindir}/mktemplate_gis
%{_bindir}/mktemplate_gis.sh
%{_bindir}/pgsql2shp
%{_bindir}/postgis_env.sh
%{_bindir}/postgres_lib.sh
%{_bindir}/rmtemplate_gis
%{_bindir}/rmtemplate_gis.sh
%{_bindir}/shp2pgsql
%dir %{_libdir}/pgsql/
%{_libdir}/pgsql/liblwgeom.so
%{_libdir}/pgsql/postgis.so
%dir %{_datadir}/pgsql/
%dir %{_datadir}/pgsql/postgresql/
%dir %{_datadir}/pgsql/postgresql/contrib/
%{_datadir}/pgsql/postgresql/contrib/*.sql
%exclude %{_libdir}/pgsql/liblwgeom.so.*

%files utils
%defattr(-, root, root, 0755)
%doc utils/README
%{_datadir}/postgis/

%changelog
* Sun Aug 19 2007 Dag Wieers <dag@wieers.com> - 1.2.1-1 #5755
- Initial package. (using DAR)
